Package net.sf.saxon.expr

## Interface LastPositionFinder

- All Known Subinterfaces:
    `ConstrainedIterator<T>`
  All Known Implementing Classes:
    `ARegexIterator`, `ArrayIterator`, `ArrayIterator.OfNodes`, `BigRangeIterator`, `EmptyIterator`, `FocusTrackingIterator`, `GroupAdjacentIterator`, `GroupByIterator`, `GroupByIterator.ManualGroupByIterator`, `GroupEndingIterator`, `GroupMatchingIterator`, `GroupStartingIterator`, `ItemMappingIterator`, `JRegexIterator`, `ListIterator`, `ListIterator.Atomic`, `ListIterator.OfNodes`, `ManualGroupIterator`, `ManualIterator`, `ManualRegexIterator`, `MemoSequence.ProgressiveIterator`, `MergeGroupingIterator`, `MergeGroupingIterator.ManualMergeGroupingIterator`, `MultiIndex.SelectedItemsIterator`, `MultithreadedFocusTrackingIterator`, `MultithreadedItemMappingIterator`, `OneToOneMappingIterator`, `RangeIterator`, `Remove.RemoveIterator`, `ReverseListIterator`, `ReverseRangeIterator`, `SingleAtomicIterator`, `SingleNodeIterator`, `SingletonIterator`, `SortedGroupIterator`, `SortedIterator`, `SubsequenceIterator`, `TailIterator`, `UntypedAtomizingIterator`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface LastPositionFinder

  A LastPositionFinder is an interface implemented by any SequenceIterator that is able to return the position of the last item in the sequence.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getLength()` | Get the last position (that is, the number of items in the sequence).

- - ### Method Detail

    - #### getLength

          int getLength()
                 throws XPathException

      Get the last position (that is, the number of items in the sequence). This method is non-destructive: it does not change the state of the iterator. The result is undefined if the next() method of the iterator has already returned null. This method must not be called unless the result of getProperties() on the iterator includes the bit setting `SequenceIterator.Property.LAST_POSITION_FINDER`
      Returns:
        the number of items in the sequence
      Throws:
        `XPathException` - if an error occurs evaluating the sequence in order to determine the number of items